class Drawable:

    GREY    = (128, 128, 128)
    YELLOW  = (255, 255, 0)
    RED     = (255, 0, 0)
    GREEN   = (0, 255, 0)

    def __init__(self, x, y, minX, maxX, minY, maxY, ratio):
        self.__minX = minX
        self.__maxX = maxX
        self.__minY = minY
        self.__maxY = maxY
        self.setX(x)
        self.setY(y)
        self.__ratio = ratio #cell size

    def setX(self, x):
        if (x < self.__minX or self.__maxX < x):
            return False
        else:
            self.__x = x
            return True

    def setY(self, y):
        if (y < self.__minY or self.__maxY < y):
            return False
        else:
            self.__y = y
            return True

    def getX(self):
        return self.__x

    def getY(self):
        return self.__y

    def getMinX(self):
        return self.__minX

    def getMaxX(self):
        return self.__maxX

    def getMinY(self):
        return self.__minY

    def getMaxY(self):
        return self.__maxY

    def getRatio(self):
        return self.__ratio

    def draw(self, screen):
        pass